Bug 73091 - After Aug 28 RPM updates terminal extremely sluggish
After Aug 28 RPM updates terminal extremely sluggish
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: vte (Show other bugs)
null
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks: 67218
  Show dependency treegraph
 
Reported: 2002-08-30 13:10 EDT by Dax Kelson
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-30 17:59:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dax Kelson 2002-08-30 13:10:20 EDT
Description of problem: 
I did an up2date to get all the Aug 28th Null RPM updates. I teach classes and 
use the overhead so I have my terminal with font size 16. 
 
On a Pentium 4 1.9Ghz CPU, 512MB ram, ATI Radeon 32MB video, it now seems very 
sluggish compared to a fresh install of Null. It also varies dramtically too. 
 
$ time ps aux (the ps command has 76 lines of output) 
 
(values from back-to-back multiple runs) 
real    0m0.677s 
real    0m0.396s 
real    0m0.788s 
real    0m1.199s 
real    0m1.049s 
real    0m0.819s 
real    0m1.041s 
real    0m1.081s 
real    0m0.219s 
real    0m0.522s 
real    0m1.371s 
real    0m0.175s 
Notes: 
1. my system is otherwise idle. 
2. I can also visually see the speed change mid flight. It seems to get 
drastically faster at a certain point (that point seems to change). 
3. On an xterm using "HUGE" fonts (roughtly the same size as 16 point 
GNOME-terminal fonts), the real time is ALWAYS between .287 and .300. 
4. As far as I can remember, this sluggish/changing behavior wasn't there in 
stock Null. 
 
Version-Release number of selected component (if applicable): 
gnome-terminal-2.0.1-3 
vte-0.8.8-1 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. Launch gnome-terminal 
2. time ps aux
Comment 1 Nalin Dahyabhai 2002-08-30 17:59:40 EDT
The slowdown came in as a side-effect of a bug-fix.  I've reworked things so
that the bug is still fixed but the speed impact is much less.  It should be
much improved again in 0.8.14.
Comment 2 Jay Turner 2002-09-04 00:14:57 EDT
Things are looking lots better with vte-0.8.15-1.
Comment 3 Dax Kelson 2002-09-05 16:32:34 EDT
Agreed. vte performance is pretty competitive with xterm now. Xterm has less  
variance in performance, but the average is pretty close.  
  
To limit the variables, my new test is:  
  
$ time cat /etc/httpd/conf/httpd.conf  (unmodified stock file)  
  
With xterm the values are all:  
real 0m0.251s to 0m0.291s  
  
With GNOME2 terminal and vte 0.8.18 the values are all:  
real 0m0.259s to 0m0.421s (with an average in low 0.300s) 

Note You need to log in before you can comment on or make changes to this bug.